Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QPrintEngine.PrintEnginePropertyKey

    java.lang.Object
      java.lang.Enum<QPrintEngine.PrintEnginePropertyKey>
          com.trolltech.qt.gui.QPrintEngine.PrintEnginePropertyKey

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QPrintEngine.PrintEnginePropertyKey>

Enclosing class:
  QPrintEngine

    public static enum QPrintEngine.PrintEnginePropertyKey

extends java.lang.Enum<QPrintEngine.PrintEnginePropertyKey>
implements QtEnumerator

This enum is used to communicate properties between the print engine and `QPrinter`. A property may or may not be supported by a given print engine.

Enum Constant Summary
`PPK_CollateCopies` A boolean value indicating whether the printout should be collated or not.
`PPK_ColorMode` Refers to QPrinter::ColorMode, either color or monochrome.
`PPK_Creator` A string describing the document's creator.
`PPK_CustomBase` Basis for extension.
`PPK_DocumentName` A string describing the document name in the spooler.
`PPK_Duplex` A boolean value indicating whether both sides of the printer paper should be used for the printout.
`PPK_FontEmbedding` A boolean value indicating whether data for the document's fonts should be embedded in the data sent to the printer.
`PPK_FullPage` A boolean describing if the printer should be full page or not.
`PPK_NumberOfCopies` An integer specifying the number of copies
`PPK_Orientation` Specifies a QPrinter::Orientation value.
`PPK_OutputFileName` The output file name as a string.
`PPK_PageOrder` Specifies a QPrinter::PageOrder value.
`PPK_PageRect` A `QRect` specifying the page rectangle
`PPK_PageSize` Specifies a QPrinter::PageSize value.
`PPK_PaperRect` A `QRect` specifying the paper rectangle.
`PPK_PaperSource` Specifies a QPrinter::PaperSource value.
`PPK_PaperSources` Specifies more than one QPrinter::PaperSource value.
`PPK_PrinterName` A string specifying the name of the printer.
`PPK_PrinterProgram` A string specifying the name of the printer program used for printing,
`PPK_Resolution` An integer describing the dots per inch for this printer.
`PPK_SelectionOption` Internal.
`PPK_SupportedResolutions` A list of integer QVariants describing the set of supported resolutions that the printer has.
`PPK_SuppressSystemPrintStatus` Suppress the built-in dialog for showing printing progress.
`PPK_WindowsPageSize` An integer specifying a DM_PAPER entry on Windows.

Method Summary
`static QPrintEngine.PrintEnginePropertyKey` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QPrintEngine.PrintEnginePropertyKey` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QPrintEngine.PrintEnginePropertyKey[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PPK_CollateCopies

    public static final QPrintEngine.PrintEnginePropertyKey PPK_CollateCopies

  A boolean value indicating whether the printout should be collated or not.

### PPK_ColorMode

    public static final QPrintEngine.PrintEnginePropertyKey PPK_ColorMode

  Refers to QPrinter::ColorMode, either color or monochrome.

### PPK_Creator

    public static final QPrintEngine.PrintEnginePropertyKey PPK_Creator

  A string describing the document's creator.

### PPK_DocumentName

    public static final QPrintEngine.PrintEnginePropertyKey PPK_DocumentName

  A string describing the document name in the spooler.

### PPK_FullPage

    public static final QPrintEngine.PrintEnginePropertyKey PPK_FullPage

  A boolean describing if the printer should be full page or not.

### PPK_NumberOfCopies

    public static final QPrintEngine.PrintEnginePropertyKey PPK_NumberOfCopies

  An integer specifying the number of copies

### PPK_Orientation

    public static final QPrintEngine.PrintEnginePropertyKey PPK_Orientation

  Specifies a QPrinter::Orientation value.

### PPK_OutputFileName

    public static final QPrintEngine.PrintEnginePropertyKey PPK_OutputFileName

  The output file name as a string. An empty file name indicates that the printer should not print to a file.

### PPK_PageOrder

    public static final QPrintEngine.PrintEnginePropertyKey PPK_PageOrder

  Specifies a QPrinter::PageOrder value.

### PPK_PageRect

    public static final QPrintEngine.PrintEnginePropertyKey PPK_PageRect

  A `QRect` specifying the page rectangle

### PPK_PageSize

    public static final QPrintEngine.PrintEnginePropertyKey PPK_PageSize

  Specifies a QPrinter::PageSize value.

### PPK_PaperRect

    public static final QPrintEngine.PrintEnginePropertyKey PPK_PaperRect

  A `QRect` specifying the paper rectangle.

### PPK_PaperSource

    public static final QPrintEngine.PrintEnginePropertyKey PPK_PaperSource

  Specifies a QPrinter::PaperSource value.

### PPK_PrinterName

    public static final QPrintEngine.PrintEnginePropertyKey PPK_PrinterName

  A string specifying the name of the printer.

### PPK_PrinterProgram

    public static final QPrintEngine.PrintEnginePropertyKey PPK_PrinterProgram

  A string specifying the name of the printer program used for printing,

### PPK_Resolution

    public static final QPrintEngine.PrintEnginePropertyKey PPK_Resolution

  An integer describing the dots per inch for this printer.

### PPK_SelectionOption

    public static final QPrintEngine.PrintEnginePropertyKey PPK_SelectionOption

  Internal.

### PPK_SupportedResolutions

    public static final QPrintEngine.PrintEnginePropertyKey PPK_SupportedResolutions

  A list of integer QVariants describing the set of supported resolutions that the printer has.

### PPK_WindowsPageSize

    public static final QPrintEngine.PrintEnginePropertyKey PPK_WindowsPageSize

  An integer specifying a DM_PAPER entry on Windows.

### PPK_FontEmbedding

    public static final QPrintEngine.PrintEnginePropertyKey PPK_FontEmbedding

  A boolean value indicating whether data for the document's fonts should be embedded in the data sent to the printer.

### PPK_SuppressSystemPrintStatus

    public static final QPrintEngine.PrintEnginePropertyKey PPK_SuppressSystemPrintStatus

  Suppress the built-in dialog for showing printing progress. As of 4.1 this only has effect on Mac OS X where, by default, a status dialog is shown.

### PPK_Duplex

    public static final QPrintEngine.PrintEnginePropertyKey PPK_Duplex

  A boolean value indicating whether both sides of the printer paper should be used for the printout.

### PPK_PaperSources

    public static final QPrintEngine.PrintEnginePropertyKey PPK_PaperSources

  Specifies more than one QPrinter::PaperSource value.

### PPK_CustomBase

    public static final QPrintEngine.PrintEnginePropertyKey PPK_CustomBase

  Basis for extension.

Method Detail

### values

    public static final QPrintEngine.PrintEnginePropertyKey[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QPrintEngine.PrintEnginePropertyKey c : QPrintEngine.PrintEnginePropertyKey.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QPrintEngine.PrintEnginePropertyKey valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QPrintEngine.PrintEnginePropertyKey resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD